Saltar al contenido principal
GET
/
api
/
v1
/
llm
/
batches
/
{batch_id}
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.batches.get(batch_id="batch_aa87e2b1112a455b8deabed784372198")

    # Handle response
    print(res)
{
  "id": "batch_aa87e2b1112a455b8deabed784372198",
  "object": "batch",
  "endpoint": "/v1/chat/completions",
  "errors": null,
  "input_file_id": "file_abc123",
  "completion_window": "24h",
  "status": "completed",
  "output_file_id": "file_def456",
  "error_file_id": null,
  "created_at": 1704067200,
  "in_progress_at": 1704067260,
  "expires_at": 1704153600,
  "finalizing_at": 1704070800,
  "completed_at": 1704070860,
  "failed_at": null,
  "expired_at": null,
  "cancelling_at": null,
  "cancelled_at": null,
  "request_counts": {
    "total": 3,
    "completed": 3,
    "failed": 0
  },
  "metadata": {
    "description": "evaluation job"
  }
}

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Parámetros de ruta

batch_id
string
requerido

Respuesta

200 - application/json

Está bien

id
string
requerido
object
any
requerido
endpoint
string
requerido
input_file_id
string
requerido
completion_window
string
requerido
status
enum<string>
requerido
Opciones disponibles:
validating,
failed,
in_progress,
finalizing,
completed,
expired,
cancelling,
cancelled
created_at
integer
requerido
Rango requerido: -9007199254740991 <= x <= 9007199254740991
request_counts
object
requerido
errors
object
output_file_id
string | null
error_file_id
string | null
in_progress_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
expires_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
finalizing_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
completed_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
failed_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
expired_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
cancelling_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
cancelled_at
integer | null
Rango requerido: -9007199254740991 <= x <= 9007199254740991
metadata
object